> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bank Accounts

> List bank accounts with pagination.



## OpenAPI

````yaml /api/openapi-cutmake.json get /bank-accounts
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /bank-accounts:
    get:
      tags:
        - Bank Accounts
      summary: List Bank Accounts
      description: List bank accounts with pagination.
      operationId: list_bank_accounts_bank_accounts_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: '-created_at'
            title: Sort
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedBankAccountsResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedBankAccountsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/BankAccountResponse'
          type: array
          title: Data
        pagination:
          $ref: >-
            #/components/schemas/routers__external__bank_accounts__PaginationInfo
      type: object
      required:
        - data
        - pagination
      title: PaginatedBankAccountsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BankAccountResponse:
      properties:
        id:
          type: string
          title: Id
        orgId:
          type: string
          title: Orgid
        accountName:
          type: string
          title: Accountname
        accountNumber:
          type: string
          title: Accountnumber
        bankName:
          type: string
          title: Bankname
        bankCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankcode
        branchName:
          anyOf:
            - type: string
            - type: 'null'
          title: Branchname
        currency:
          type: string
          title: Currency
        status:
          type: string
          title: Status
        balance:
          type: number
          title: Balance
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
      type: object
      required:
        - id
        - orgId
        - accountName
        - accountNumber
        - bankName
        - currency
        - status
        - balance
      title: BankAccountResponse
    routers__external__bank_accounts__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````